package kaysaar.aotd_question_of_loyalty.data.scripts.crisisalt;

import com.fs.starfarer.api.campaign.econ.MarketAPI;
import com.fs.starfarer.api.campaign.listeners.ColonySizeChangeListener;

public class LuddicMajorityApplier implements ColonySizeChangeListener
{
    public void reportColonySizeChanged(final MarketAPI market, final int prevSize) {
        if (!market.hasCondition("luddic_majority") && market.getFaction().isPlayerFaction() && !market.hasCondition("aotd_domain_majority")) {
            market.addCondition("luddic_majority");
        }
    }
}
